HanMacWrdKGraphInternal::Pattern Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
HanMacWrdKGraphInternal::Pattern Struct Reference

Internal: the pattern of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Pattern:

## Public Member Functions
| Pattern (uint16_t const *pat=0)
| constructor ( 4 int by patterns ) More...
Public Member Functions inherited from MWAWGraphicStyle::Pattern
| Pattern ()
| constructor More...
| Pattern (Vec2i dim, librevenge::RVNGBinaryData const &picture, std::string const &mime, MWAWColor const &avColor)
| constructor from a binary data More...
virtual | ~Pattern ()
| virtual destructor More...
bool | empty () const
| return true if we does not have a pattern More...
bool | getAverageColor (MWAWColor &col) const
| return the average color More...
bool | getUniqueColor (MWAWColor &col) const
| check if the pattern has only one color; if so returns true... More...
bool | getBinary (librevenge::RVNGBinaryData &data, std::string &type) const
| tries to convert the picture in a binary data ( ppm) More...
int | cmp (Pattern const &a) const
| compare two patterns More...

## Public Attributes
float | m_percent
| the percentage More...
Public Attributes inherited from MWAWGraphicStyle::Pattern
Vec2i | m_dim
| the dimension width x height More...
MWAWColor | m_colors [2]
| the two indexed colors More...
std::vector< unsigned char > | m_data
| the pattern data: a sequence of data: p[0..7,0],p[8..15,0]...p[0..7,1],p[8..15,1], ... More...

## Additional Inherited Members
Protected Attributes inherited from MWAWGraphicStyle::Pattern
librevenge::RVNGBinaryData | m_picture
| a picture More...
std::string | m_pictureMime
| the picture type More...
MWAWColor | m_pictureAverageColor
| the picture average color More...

## Detailed Description

Internal: the pattern of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

HanMacWrdKGraphInternal::Pattern::Pattern | ( | uint16_t const * | pat = `0` | ) |
| inline

constructor ( 4 int by patterns )

## Member Data Documentation

float HanMacWrdKGraphInternal::Pattern::m_percent

the percentage

Referenced by HanMacWrdKGraph::getColor(), Pattern(), and HanMacWrdKGraph::readTable().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx